public class ListaClientes {

  private Cliente cliente;
  private ListaClientes proximo;

  public void atualizar(Cliente c){
	if(cliente == null){
	  throw new RuntimeException("Cliente nao encontrado");
	}else{
	  if(cliente.equals(c)){
		cliente = c;
	  }else{
		proximo.atualizar(c);
	  }
	}
  }
  public boolean existe(String cpf) {
	boolean resp = false;
	if(cliente != null){
	  if(cliente.getCpf().equals(cpf)){
		resp = true;
	  }else{
		resp = proximo.existe(cpf);
	  }
	}

	return resp;
  }
  public Cliente getCliente(){
	return cliente;
  }
  public ListaClientes getProximo(){
	return proximo;
  }
  public void inserir(Cliente c) {
	if(cliente == null){
	  cliente = c;
	  proximo = new ListaClientes();
	}else{
	  proximo.inserir(c);
	}
  }
  public Cliente procurar(String cpf) {
	Cliente resp = null;
	if(this.cliente != null){
	  if(this.cliente.getCpf().equals(cpf)){
		resp = this.cliente;
	  }else{
		resp = proximo.procurar(cpf);
	  }
	}else{
	  throw new RuntimeException("Cliente nao encontrado");
	}

	return resp;
  }
  public void remover(String cpf) {
	if(cliente != null){
	  if(cliente.getCpf().equals(cpf)){
		cliente = proximo.cliente;
		proximo = proximo.getProximo();
	  }else{
		proximo.remover(cpf);
	  }
	}else{
	  throw new RuntimeException("Cliente nao encontrado");
	}
  }
}
